Bug 1389550 (CVE-2016-9102) - CVE-2016-9102 Qemu: 9pfs: memory leakage when creating extended attribute
Summary: CVE-2016-9102 Qemu: 9pfs: memory leakage when creating extended attribute
Status: CLOSED WONTFIX
Alias: CVE-2016-9102
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161010,reported=2...
Keywords: Security
Depends On: 1389551 1389552
Blocks: 1389508
TreeView+ depends on / blocked
 
Reported: 2016-10-27 20:59 UTC by Prasad J Pandit
Modified: 2019-06-08 21:33 UTC (History)
36 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:01:30 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-27 20:59:45 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to memory leakage issue. It could
occur while creating extended attribute via 'Txattrcreate' message.

A privileged user inside guest could use this flaw to leak host memory,
thus affecting other services on the host and/or potentially crash the Qemu
process on the host.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg01861.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup
  -> http://www.openwall.com/lists/oss-security/2016/10/27/15

Comment 1 Prasad J Pandit 2016-10-27 20:59:51 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-27 21:01:10 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1389552]

Comment 3 Prasad J Pandit 2016-10-27 21:01:33 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389551]

Comment 4 Andrej Nemec 2016-10-31 14:51:30 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/278

Comment 5 Cole Robinson 2017-01-16 18:29:34 UTC
commit ff55e94d23ae94c8628b0115320157c763eb3e06
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Oct 17 14:13:58 2016 +0200

    9pfs: fix memory leak in v9fs_xattrcreate


Note You need to log in before you can comment on or make changes to this bug.